using System.Text.Json.Serialization;

namespace AxCopilot.Models;

public class WindowSnapshot
{
	[JsonPropertyName("exe")]
	public string Exe { get; set; } = "";

	[JsonPropertyName("title")]
	public string Title { get; set; } = "";

	[JsonPropertyName("rect")]
	public WindowRect Rect { get; set; } = new WindowRect();

	[JsonPropertyName("showCmd")]
	public string ShowCmd { get; set; } = "Normal";

	[JsonPropertyName("monitor")]
	public int Monitor { get; set; } = 0;
}
